%define upstream_name    CLASS
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Alias for __PACKAGE__
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildArch: noarch


%{?perl_default_filter}

%description
CLASS and $CLASS are both synonyms for __PACKAGE__. Easier to type.

$CLASS has the additional benefit of working in strings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.0.0-10pclos2017
- rebuild against updates

